"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var attr_class_1 = require("./../../commons/extends/attr.class");
var forms_1 = require("@angular/forms");
var datas_1 = require("./datas");
var CheckboxComponent = (function (_super) {
    __extends(CheckboxComponent, _super);
    function CheckboxComponent() {
        var _this = _super.call(this) || this;
        _this.checkedChange = new core_1.EventEmitter();
        _this.checked = false;
        _this.isDisabled = false;
        _this.innerValue = [];
        return _this;
    }
    CheckboxComponent.prototype.changeStatus = function () {
        if (this.isDisabled) {
            return;
        }
        this.checked = !this.checked;
        if (this.checked && !this.hasValue()) {
            this.innerValue.push(this.value);
        }
        else if (!this.checked && this.hasValue()) {
            var index = this.innerValue.indexOf(this.value);
            this.innerValue.splice(index, 1);
        }
        if (this.changeHandle) {
            this.changeHandle(this.innerValue.concat());
        }
        this.checkedChange.emit(this.checked);
    };
    CheckboxComponent.prototype.writeValue = function (values) {
        this.innerValue = values || [];
        this.checked = this.hasValue();
    };
    CheckboxComponent.prototype.hasValue = function () {
        return this.innerValue.indexOf(this.value) >= 0;
    };
    CheckboxComponent.prototype.registerOnChange = function (fn) { this.changeHandle = fn; };
    CheckboxComponent.prototype.registerOnTouched = function (fn) { this.touchedHandle = fn; };
    CheckboxComponent.prototype.setDisabledState = function (isDisabled) { this.isDisabled = isDisabled; };
    CheckboxComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ts-checkbox',
                    template: "\n        <span (click)=\"changeStatus()\" class=\"pointer no-select {{textClass}}\" [class.ts-check-disabled]=\"isDisabled\">\n            <i *ngIf=\"!checked\" class=\"fa fa-square-o fa-fw fa-lg\"></i>\n            <i *ngIf=\"checked\" class=\"fa fa-check-square fa-fw fa-lg\"></i>\n        </span>\n        <span (click)=\"changeStatus()\" class=\"pointer no-select\" [class.ts-check-disabled]=\"isDisabled\">{{label||''}}</span>",
                    styles: [datas_1.defaultStyles],
                    providers: [{
                            provide: forms_1.NG_VALUE_ACCESSOR,
                            useExisting: core_1.forwardRef(function () { return CheckboxComponent; }),
                            multi: true
                        }]
                },] },
    ];
    CheckboxComponent.ctorParameters = function () { return []; };
    CheckboxComponent.propDecorators = {
        label: [{ type: core_1.Input }],
        value: [{ type: core_1.Input }],
        checkedChange: [{ type: core_1.Output }]
    };
    return CheckboxComponent;
}(attr_class_1.DomAttr));
exports.CheckboxComponent = CheckboxComponent;
//# sourceMappingURL=checkbox.component.js.map