"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var attr_class_1 = require("./../../commons/extends/attr.class");
var forms_1 = require("@angular/forms");
var datas_1 = require("./datas");
var RadioComponent = (function (_super) {
    __extends(RadioComponent, _super);
    function RadioComponent() {
        var _this = _super.call(this) || this;
        _this.checkedChange = new core_1.EventEmitter(false);
        _this.checked = false;
        _this.isDisabled = false;
        return _this;
    }
    RadioComponent.prototype.changeStatus = function () {
        if (this.checked || this.isDisabled) {
            return;
        }
        this.checked = !this.checked;
        this.checkedChange.emit(this.checked);
        if (this.changeHandle && this.checked) {
            this.changeHandle(this.value);
        }
    };
    RadioComponent.prototype.writeValue = function (value) { this.checked = value === this.value; };
    RadioComponent.prototype.registerOnChange = function (fn) { this.changeHandle = fn; };
    RadioComponent.prototype.registerOnTouched = function (fn) { this.touchedHandle = fn; };
    RadioComponent.prototype.setDisabledState = function (isDisabled) { this.isDisabled = isDisabled; };
    RadioComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ts-radio',
                    template: "\n    <span (click)=\"changeStatus()\" class=\"pointer no-select {{textClass}}\" [class.ts-check-disabled]=\"isDisabled\">\n        <i *ngIf=\"!checked\" class=\"fa fa-circle-o fa-fw fa-lg\"></i>\n        <i *ngIf=\"checked\" class=\"fa fa-dot-circle-o fa-fw fa-lg\"></i>\n    </span>\n    <span (click)=\"changeStatus()\" class=\"pointer no-select\" [class.ts-check-disabled]=\"isDisabled\">{{label||''}}</span>",
                    styles: [datas_1.defaultStyles],
                    providers: [{
                            provide: forms_1.NG_VALUE_ACCESSOR,
                            useExisting: core_1.forwardRef(function () { return RadioComponent; }),
                            multi: true
                        }]
                },] },
    ];
    RadioComponent.ctorParameters = function () { return []; };
    RadioComponent.propDecorators = {
        label: [{ type: core_1.Input }],
        value: [{ type: core_1.Input }],
        checkedChange: [{ type: core_1.Output }]
    };
    return RadioComponent;
}(attr_class_1.DomAttr));
exports.RadioComponent = RadioComponent;
//# sourceMappingURL=radio.component.js.map