import { ElementRef, AfterViewInit, OnInit, EventEmitter } from '@angular/core';
import { ToggleDirective } from '../../commons/directives/toggle.directives';
import { DomLoad } from '../../commons/interfaces/load.interface';
import { HtmlDomService } from '../../commons/services/htmldom.service';
export declare class DropdownDirective implements AfterViewInit, OnInit, DomLoad {
    private elementRef;
    dropup: string;
    class: string;
    useItemClickClose: boolean;
    displayChange: EventEmitter<boolean>;
    toggleDirective: ToggleDirective;
    dropMenuDirective: DropMenuDirective;
    _class: string;
    onDocumentClick(dom: any): void;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    toggle(): void;
    isClose(): boolean;
    present(): void;
    dismiss(): void;
}
export declare class DropMenuDirective implements AfterViewInit {
    elementRef: ElementRef;
    private html;
    modalSize: number;
    offsetX: number;
    offsetY: number;
    displayChange: EventEmitter<boolean>;
    class: string;
    onClick: any;
    dom: HTMLDivElement;
    toggleDom: HTMLElement;
    constructor(elementRef: ElementRef, html: HtmlDomService);
    ngAfterViewInit(): void;
    private setPostion(dropup, btnSize);
    private overflowX();
    bind(toggle: HTMLElement): void;
    setShow(dropup: boolean, btnSize: [number, number]): void;
    setHidden(): void;
    isClose(): boolean;
}
