"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var window_directive_1 = require("./window.directive");
var WindowComponent = (function () {
    function WindowComponent(componentFactoryResolver) {
        this.componentFactoryResolver = componentFactoryResolver;
        this.show = false;
        this.ready = false;
        this.windowStyle = {
            top: 0,
            left: 0,
            zIndex: 1060,
        };
    }
    WindowComponent.prototype.loadComponent = function (content, index, injector) {
        var componentFactory = this.componentFactoryResolver.resolveComponentFactory(content);
        this.modalHost.viewContainerRef.clear();
        this.windowStyle.zIndex += index;
        return this.modalHost.viewContainerRef.createComponent(componentFactory, undefined, injector);
    };
    WindowComponent.prototype.present = function () {
        var _this = this;
        this.show = true;
        setTimeout(function () { return _this.ready = true; }, 2000);
    };
    WindowComponent.prototype.close = function () { this.show = false; };
    WindowComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ts-window',
                    template: "\n    <div [class.d-none]=\"!show\"\n        [class.zoomIn]=\"!ready\"\n        [ngStyle]=\"windowStyle\"\n        class=\"animated position-fixed h-100 w-100\">\n        <ng-template tsWindowHost></ng-template>\n    </div>\n    ",
                    styles: ["\n    .animated {\n        animation-duration: 0.5s;\n        animation-fill-mode: both;\n    }\n    .animated.infinite {\n        animation-iteration-count: infinite;\n    }\n    @keyframes zoomIn {\n        from {\n          opacity: 0;\n          transform: scale3d(0.3, 0.3, 0.3);\n        }\n        50% {\n          opacity: 1;\n        }\n      }\n    .zoomIn {\n        animation-name: zoomIn;\n    }\n    "]
                },] },
    ];
    WindowComponent.ctorParameters = function () { return [
        { type: core_1.ComponentFactoryResolver }
    ]; };
    WindowComponent.propDecorators = {
        modalHost: [{ type: core_1.ViewChild, args: [window_directive_1.WindowDirective,] }]
    };
    return WindowComponent;
}());
exports.WindowComponent = WindowComponent;
//# sourceMappingURL=window.component.js.map