"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var window_component_1 = require("./window.component");
var window_class_1 = require("./window.class");
var window_view_service_1 = require("./window-view.service");
var WindowService = (function () {
    function WindowService(applicationRef, componentFactoryResolver, injector) {
        this.applicationRef = applicationRef;
        this.componentFactoryResolver = componentFactoryResolver;
        this.injector = injector;
        this.baseComponents = [];
        this.windowCmptRefs = [];
        this.windowhandles = [];
    }
    WindowService.prototype.init = function () {
        var baseComponent = this.componentFactoryResolver.resolveComponentFactory(window_component_1.WindowComponent);
        var windowCmptRef = baseComponent.create(this.injector);
        this.applicationRef.attachView(windowCmptRef.hostView);
        this.containerEl = document.querySelector('body');
        this.containerEl.appendChild(windowCmptRef.location.nativeElement);
        this.baseComponents.push(baseComponent);
        this.windowCmptRefs.push(windowCmptRef);
        return this.baseComponents.length - 1;
    };
    WindowService.prototype.push = function (content) {
        var index = this.init();
        var handle = new window_class_1.WindowHandle();
        var injector = core_1.Injector.create([{ provide: window_view_service_1.WindowViewService, useValue: handle }], this.injector);
        handle.instance = this.windowCmptRefs[index].instance.loadComponent(content, index, injector).instance;
        handle.ref = this.windowCmptRefs[index];
        handle.index = index;
        this.windowhandles.push(handle);
        return handle;
    };
    WindowService.prototype.pop = function () {
        var length = this.windowhandles.length;
        if (length > 0) {
            this.windowhandles.pop().close();
            this.baseComponents.pop();
            this.windowCmptRefs.pop().destroy();
        }
    };
    WindowService.decorators = [
        { type: core_1.Injectable },
    ];
    WindowService.ctorParameters = function () { return [
        { type: core_1.ApplicationRef },
        { type: core_1.ComponentFactoryResolver },
        { type: core_1.Injector }
    ]; };
    return WindowService;
}());
exports.WindowService = WindowService;
//# sourceMappingURL=window.service.js.map